
// VMoveDlg.h: 头文件
//

#pragma once


// CVMoveDlg 对话框
class CVMoveDlg : public CDialogEx
{
// 构造
public:
	CVMoveDlg(CWnd* pParent = nullptr);	// 标准构造函数

	double startVel; //起始速度
	double maxVel; //最大速度
	double stopVel;//停止速度
	double tAcc;//加速时间
	double tDec;//减速时间
	double sRatio;//S段比例
	double maxAcc;//最大加减速限制
	CComboBox axisNoCombobox;


	WORD cardConnectNo;
// 对话框数据
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_MY_DIALOG };
#endif

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV 支持


// 实现
protected:
	HICON m_hIcon;

	// 生成的消息映射函数
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	CEdit newSpeedUpdateOnline;
	afx_msg void OnDestroy();
	afx_msg void OnTimer(UINT_PTR nIDEvent);
	afx_msg void OnBnClickedButton5();
	afx_msg void OnBnClickedButton6();
	afx_msg void OnBnClickedButton4();
	afx_msg void OnBnClickedButton1();
	afx_msg void OnBnClickedButton2();
};
